Subject: bug#44068: 28.0.50; Faulty uses of tabulated-list-format

From: Stefan Kangas <[email-masked]>
Date: Thu, 12 Nov 2020 11:38:04 -0500

Stephen Berman <[email-masked]> writes:

>> BTW, does it work better with narrowing the column, too?  We seem to
>> have some issues with that currently.
>
> Do you mean that truncation happens even though there is still enough
> space to display the data or header?  I see that both with hard spaces
> and with the :right-align property.  I haven't tried to figure out why
> that's happening, but seems to be separate from above change.

Indeed, it is a separate issue.  I have opened Bug#44594 to track it.

> Given that, and also Eli's approval of the tabulated-list-init-header
> patch, I've gone ahead and committed these changes.  I didn't make any
> of the column width changes I proposed in my first patch, since with the
> tabulated-list-init-header patch they don't seem to be needed.

Thank you!  I guess this bug should therefore be closed as fixed?